### Method

# Hex Widget set_geometry

#### Declaration

    void
    hex_widget_set_geometry (
      HexWidget* gh,
      int cpl,
      int vis_lines
    )

#### Description

Set the geometry of the widget to specified dimensions.

#### Parameters

`cpl`

  Type: `int`

  Columns per line which should be displayed, or 0 for default.

`vis_lines`

  Type: `int`

  Number of lines which should be displayed, or 0 for default.